OEM-CONFIG-FIRSTBOOT(8)

NAME
oem-config-firstboot - run oem-config on first boot after shipping to end user

SYNOPSIS
oem-config-firstboot [- -debug]

DESCRIPTION
oem-config-firstboot performs some minor set-up before calling oem-config(8) (possibly via oem-config-dm(8)) to ask configuration questions of the end user. It will call oem-config(8) up to five times until it succeeds (exiting zero). If it succeeds, it will clean up the temporary OEM configuration user created during initial installation, and arrange for oem-config-firstboot not to be run again. If it fails every time, it will drop to a shell to help the end user fix things up.

oem-config-firstboot is suitable for calling from an init script, and is not intended to be run directly by users.

The following options are available:

-d, - -debug
    Run in debugging mode, sending verbose information to /var/log/oem-config.log that may be useful to developers. Note that passwords will be logged in debugging mode!

    In debugging mode, oem-config-firstboot will only try to run oem-config(8) once, and will not provide a panic shell on failure.

AUTHOR
Colin Watson <cjwatson@ubuntu.com>

-nosplit oem-config is copyright © 2005, 2006, 2007, 2008 Canonical Ltd., and copyright © 2006, 2007 Anirudh Ramesh. See the GNU General Public License version 2 or later for copying conditions. A copy of the GNU General Public License is available in /usr/share/common-licenses/GPL.